%define name ddd
%define version 3.1.6
%define release 1mdk
%define prefix /usr 

Name: %{name}
Summary: DDD is a Graphical frontend for GDB
Version: %{version}
Release: %{release}
Source: %{name}-%{version}.tar.bz2
Group: Development/Debuggers
URL: ftp://ftp.th-darmstadt.de/pub/programming/tools/ddd/
BuildRoot: /var/tmp/%{name}-buildroot
Copyright: GPL
Prefix: %{prefix}

%description
The Data Display Debugger provides a graphical front end for the Gnu DeBugger
(GDB).

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q

%build
CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS" ./configure \
	--prefix=$RPM_BUILD_ROOT/%{prefix}
make -j 2

%install
make install prefix=$RPM_BUILD_ROOT/%{prefix}
strip $RPM_BUILD_ROOT/%{prefix}/bin/ddd

if [ -d $RPM_BUILD_ROOT/usr/man ]; then
  find $RPM_BUILD_ROOT/usr/man -type f -exec bzip2 -9f {} \;
fi
if [ -d $RPM_BUILD_ROOT/usr/info ]; then
  find $RPM_BUILD_ROOT/usr/info -type f -exec bzip2 -9f {} \;
fi
if [ -d $RPM_BUILD_ROOT/usr/X11R6/man ]; then
  find $RPM_BUILD_ROOT/usr/X11R6/man -type f -exec bzip2 -9f {} \;
fi
if [ -d $RPM_BUILD_ROOT/usr/lib/perl5/man ]; then
  find $RPM_BUILD_ROOT/usr/lib/perl5/man -type f -exec bzip2 -9f {} \;
fi

cd $RPM_BUILD_ROOT

#find . -type d | sed '1,2d;s,^\.,\%attr(-\,root\,root) \%dir ,' > \
#	$RPM_BUILD_DIR/file.list.%{name}

find . -type f | sed 's,^\.,\%attr(-\,root\,root) ,' \
       >> $RPM_BUILD_DIR/file.list.%{name}

find . -type l | sed 's,^\.,\%attr(-\,root\,root) ,' >> \
	$RPM_BUILD_DIR/file.list.%{name}

%clean
rm -rf $RPM_BUILD_ROOT $RPM_BUILD_DIR/file.list.%{name}

%files -f ../file.list.%{name}
%defattr(-,root,root,0755)

%changelog
* Thu Jan 20 2000 Lenny Cartier <lenny@mandrakesoft.com>
- new in contribs 
- used srpm provided by Dara Hazeghi <dhazeghi@pacbell.net>
